<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'weeklymatching',

    /*
     * Modules.
     */
    'modules'   => ['weekly_matching'],

    
    'weekly_matching'       => [
        'model' => [
            'model'                 => \Litecms\Weeklymatching\Models\WeeklyMatching::class,
            'table'                 => 'weekly_matchings',
            'presenter'             => \Litecms\Weeklymatching\Repositories\Presenter\WeeklyMatchingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['plan_id',  'gen1',  'gen2',  'gen3',  'gen4',  'gen5',  'gen6',  'gen7',  'gen8',  'gen9',  'gen10'],
            'translatables'         => [],
            'upload_folder'         => 'weeklymatching/weekly_matching',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Weeklymatching',
            'module'    => 'WeeklyMatching',
        ],

    ],
];
