<?php

namespace Litecms\Weeklymatching\Repositories\Eloquent;

use Litecms\Weeklymatching\Interfaces\WeeklyMatchingRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class WeeklyMatchingRepository extends BaseRepository implements WeeklyMatchingRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.weeklymatching.weekly_matching.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.weeklymatching.weekly_matching.model.model');
    }
}
