<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateWeeklyMatchingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: weekly_matchings
         */
        Schema::create('weekly_matchings', function ($table) {
            $table->increments('id');
            $table->integer('plan_id')->nullable();
            $table->text('gen1')->nullable();
            $table->text('gen2')->nullable();
            $table->text('gen3')->nullable();
            $table->text('gen4')->nullable();
            $table->text('gen5')->nullable();
            $table->text('gen6')->nullable();
            $table->text('gen7')->nullable();
            $table->text('gen8')->nullable();
            $table->text('gen9')->nullable();
            $table->text('gen10')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('weekly_matchings');
    }
}
