Lavalite package that provides weeklymatching management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/weeklymatching`.

    "litecms/weeklymatching": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Weeklymatching\Providers\WeeklymatchingServiceProvider::class,

And also add it to alias

    'Weeklymatching'  => Litecms\Weeklymatching\Facades\Weeklymatching::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\WeeklymatchingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Weeklymatching\Providers\WeeklymatchingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Weeklymatching\Providers\WeeklymatchingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Weeklymatching\Providers\WeeklymatchingServiceProvider" --tag="view"


## Usage


